#include <iostream>

using namespace std;

int main()
{
    long int n, x, a[259000], l;

    cin >> n;
    cin >> x;
    for(long int i = 0; i < n; i++){
        cin >> a[i];
        a[i] = a[i] - x;
    }

    long int max = a[0];
    long int min = a[0];
    for(long int i = 1; i < n; i++){
        if(a[i] > max){
            max = a[i];
        }
        if(a[i] < min){
            min = a[i];
        }
    }
    if(max*min > 0){
        if(min > 0){
            l = max;
        } else {
            l = (-1)*min;
        }
    } else {
        if((-1)*min > max){
            l = 2 * max - min;
        } else {
            l = (-2) * min + max;
        }
    }

    cout << l;

    return 0;
}